Extending Qt Creator Manual | EditorView

Extending Qt Creator Manual 4.7.1

# EditorView Class

(Core::Internal::EditorView)

- List of all members, including inherited members

## Public Functions

void | addCurrentPositionToNavigationHistory(const int &saveState = ...)
bool | canGoBack() const
bool | canGoForward() const
void | copyNavigationHistoryFrom(Core::Internal::EditorView *other)
void | cutForwardNavigationHistory()
int | editorHistory() const
void | goForwardInNavigationHistory()
void | updateEditorHistory(Core::IEditor *editor)

## Protected Functions

void | focusInEvent(int *) override
void | mousePressEvent(int *e) override
void | paintEvent(int *) override

## Member Function Documentation

### void EditorView::addCurrentPositionToNavigationHistory(const int &saveState = ...)

### bool EditorView::canGoBack() const

### bool EditorView::canGoForward() const

### void EditorView::copyNavigationHistoryFrom(Core::Internal::EditorView *other)

### void EditorView::cutForwardNavigationHistory()

### int EditorView::editorHistory() const

### `[protected]` void EditorView::focusInEvent(int *)

### void EditorView::goForwardInNavigationHistory()

### `[protected]` void EditorView::mousePressEvent(int *e)

### `[protected]` void EditorView::paintEvent(int *)

### void EditorView::updateEditorHistory(Core::IEditor *editor)